var swatch = document.getElementById("cvSwatch");
var sCtx = swatch.getContext("2d");
swatch.width = swatch.height = 40;

function testColour(tint){
    sCtx.clearRect(0, 0, swatch.width, swatch.height);
    sCtx.beginPath();
    sCtx.rect(0,0, 40, 40);
    sCtx.fillStyle = "#" + tint;
    sCtx.fill();
    sCtx.closePath();
}
document.getElementById("inpAlpha").addEventListener("input", function(){
    Paint.setAlpha(this.value / 100);
    document.getElementById("lblA").innerHTML = "Alpha " + this.value + "%";
});
document.getElementById("dvRed").addEventListener("pointerdown", function(e){
    Paint.addColour(this.id);});
document.getElementById("dvGreen").addEventListener("pointerdown", function(e){
    Paint.addColour(this.id);});
document.getElementById("dvBlue").addEventListener("pointerdown", function(e){
    Paint.addColour(this.id);});
Paint.setCallback(testColour);